// TMC_UART.h
#ifndef TMC_UART_H
#define TMC_UART_H

#include <stdio.h>
#include "pico/stdlib.h" 

typedef struct {
    uart_inst_t *UART_ID;
    int BAUD_RATE;
    int MOTOR_TX_PIN;
    int MOTOR_RX_PIN;
} TMC_UART;

TMC_UART* tmc_Uart_Init(TMC_UART* tmc_uart, uart_inst_t *UART_ID, int BAUD_RATE, int MOTOR_TX_PIN, int MOTOR_RX_PIN);
void tmc_Uart_Destroy(TMC_UART* TMC_UART);

#endif
